diff --git a/INSTALL.txt b/INSTALL.txt
index ebc1139..882ac67 100644
--- a/INSTALL.txt
+++ b/INSTALL.txt
@@ -1,28 +1,34 @@
-Quick compilation instructions for Gnu/linux or Mac OSX, or Windows if you have
-installed gygwin: make sure "automake" is installed as well as the usual C
+Quick compilation instructions for GNU/Linux, Mac OS X, or Windows if you have
+installed MinGW or Cygwin: make sure "automake" is installed as well as the usual C
 compiler chain. Then in this directory, run the following commands:
-  ./autogen.sh
-  ./configure
-  make
+
+    ./autogen.sh
+    ./configure
+    make
 
 If you need jack support, add the corresponding flag to "configure":
 
-  ./configure --enable-jack
+    ./configure --enable-jack
+
+See the ./configure help print for other options such as a multi architecture
+(universal) build, etc:
+
+    ./configure --help
 
-Alternatively, you can use the fallback makefiles in "src" for gnu/linux, Mac
-OSX, or Microsoft Visual C. On linux, for example, cd to src and type "make -f
+Alternatively, you can use the fallback makefiles in "src" for GNU/Linux, Mac
+OS X, or Microsoft Visual C. On Linux, for example, cd to src and type "make -f
 makefile.gnu" and (if you wish) "sudo make -f makefile.gnu install".
 
 Special instructions for Microsoft Visual C: cd to src and type "make -f
-makefile.nt". Then CD to the various subdirs of extra and type "make nt" in
+makefile.msvc". Then cd to the various subdirs of extra and type "make nt" in
 each.
 
 Various dependencies:
 
-- in linux and Mac you need Tcl/Tk
-    (apparently always present for Mac and usually there for linux).
+- in Linux and Mac you need Tcl/Tk
+    (apparently always present for Mac and usually there for Linux).
 
-- On linux you may also need:
+- On Linux you may also need:
     - the ALSA "dev" package: (yum install alsa-lib-devel) or (sudo apt-get install libasound2-dev)
     - the JACK "dev" package: (yum install jack-audio-connection-kit-devel) or (sudo apt-get install libjack-dev) or (sudo apt-get install libjack-jackd2-dev)
     - libtool (sudo apt-get install libtool)
